#!/bin/bash
#
# regfish.com DynDNS Version 2 fuer Linux
# --------------------------------------------------
# Fuehren Sie dieses Script jede Minute mit Hilfe
# eines Cronjobs aus.
# --------------------------------------------------
# Letzte Aenderung: 08.06.2016
# Copyright (c) regfish GmbH
# --------------------------------------------------

# Folgende Werte muessen von Ihnen angepasst werden.
# --------------------------------------------------
# FQDN = Hostname (z.B. meinrechner.meinedomain.de.)
# TOKEN = Secure-Token zur Authentifizierung
# --------------------------------------------------
FQDN=meinrechner.meinedomain.de.
TOKEN=9faff6adf27bebce294ea10d1e2661d4
# --------------------------------------------------

LYNX=`type -p lynx`
CAT=`type -p cat`

#
# Ueberpruefe aktuelle IP-Adresse
#
aIP=`$LYNX -source -dump 'http://dyndns.regfish.de/show_myip.php'`
SIP=`$CAT /tmp/myIP`

#
# Wenn die IP-Adresse sich geaendert hat, wird
# eine DynDNS-Aktualisierung durchgefuehrt.
#
if [ "$aIP" = "$SIP" ];then
 exit 0
else
 rCode=`$LYNX -source -dump 'https://dyndns.regfish.de/?fqdn='$FQDN'&thisipv4=1&forcehost=1&authtype=secure&token='$TOKEN`

 echo $rCode

 if [ "$rCode" = "success|100|update succeeded!" -o "$rCode" = "success|101|already up-to-date!" ];then
  echo $aIP > /tmp/myIP
 fi
fi

exit 0



